VIDU Q2 Reference Image to Video
curl --request POST \
--url https://api.novita.ai/v3/async/vidu-q2-reference2video \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>' \
--data '
{
"bgm": true,
"seed": 123,
"audio": true,
"prompt": "<string>",
"duration": 123,
"subjects": [
{
"id": "<string>",
"images": [
"<string>"
],
"voice_id": "<string>"
}
],
"watermark": true,
"resolution": "<string>",
"aspect_ratio": "<string>",
"movement_amplitude": "<string>"
}
'import requests
url = "https://api.novita.ai/v3/async/vidu-q2-reference2video"
payload = {
"bgm": True,
"seed": 123,
"audio": True,
"prompt": "<string>",
"duration": 123,
"subjects": [
{
"id": "<string>",
"images": ["<string>"],
"voice_id": "<string>"
}
],
"watermark": True,
"resolution": "<string>",
"aspect_ratio": "<string>",
"movement_amplitude": "<string>"
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({
bgm: true,
seed: 123,
audio: true,
prompt: '<string>',
duration: 123,
subjects: [{id: '<string>', images: ['<string>'], voice_id: '<string>'}],
watermark: true,
resolution: '<string>',
aspect_ratio: '<string>',
movement_amplitude: '<string>'
})
};
fetch('https://api.novita.ai/v3/async/vidu-q2-reference2video', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task_id": "<string>"
}Video Generator
VIDU Q2 Reference Image to Video
POST
/
v3
/
async
/
vidu-q2-reference2video
VIDU Q2 Reference Image to Video
VIDU Q2 reference image to video API, supports multiple resolution options. Generates new video content based on reference image.
This is an asynchronous API; only the task_id will be returned. You should use the task_id to request the Task Result API to retrieve the video generation results.
Request Headers
Supports:
application/jsonBearer authentication format, for example: Bearer {{API Key}}.
Request Body
Whether to add background music
Random seed for controlling randomness. Same seed produces similar results.
Whether to generate audio
Text prompt, can use @1, @2, etc. placeholders to reference subjects
Video duration in seconds, supports 1-10 secondsOptional values:
1, 2, 3, 4, 5, 6, 7, 8, 9, 10Whether to add watermark
Output video resolution. Default is 720p.Optional values:
540p, 720p, 1080pVideo aspect ratio, such as 16:9, 9:16, 1:1, etc.
Movement amplitude, controls the intensity of object movementOptional values:
auto, small, medium, highResponse
Use the task_id to request the Task Result API to retrieve the generated outputs.
Last modified on July 3, 2026
Was this page helpful?
⌘I